ApiFuseApiFuse
API Reference

카카오맵 버스/지하철 정보

버스 정류장, 버스 노선, 지하철역 정보를 조회합니다.

카카오맵 버스/지하철 정보

info_type으로 버스 정류장·노선·지하철역 정보를 조회합니다.

엔드포인트

GET /v1/kakaomap-transit-info

Upstream

  • Base URL: https://app.map.kakao.com
  • Path: /bus/stop/info.json

요청 파라미터

파라미터타입필수기본값설명
stop_idstring-버스 정류장 ID
line_idstring-버스 노선 ID
station_idstring-지하철역 ID
info_typestring-bus_stop | bus_line | subway

요청 예시

{
  "stop_id": "BS123456",
  "info_type": "bus_stop"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "info": {}
  },
  "required": [
    "info"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "stop": {
      "busstop_id": "BS123456",
      "name": "강남역",
      "lon": 127.02758,
      "lat": 37.49794,
      "realtime": true
    },
    "buslines": [
      {
        "busline": {
          "line_id": "BL98765",
          "name": "740",
          "type": "간선"
        },
        "arrivals": [
          {
            "remain_sec": 180,
            "busstop_count": 2
          }
        ]
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "kakaomap-transit-info",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page